Introduction & Table of Contents

LMFW :

LMFW64 :

Welcome! Lossmeter for Windows (LMFW) is a program that controls the Cavity Lossmeter hardware and displays the data and loss measurements. It does this via a USB digitizer and serial port Laser communications from within 32 bit Windows XP for LMFW and 64 bit Windows 7-10 for LMFW64. This help file applies to versions 6 and 7 of the Lossmeter program. As a user of this software, you are bound by the End User License Agreement.

There are two versions of the LMFW program, a 32 bit version called LMFW.EXE (2010, version 6.48c), and a 64 bit version called LMFW64.EXE (2016/2017, currently at version 7.61a)

NOTE: The two versions of software also support two different sets of hardware exclusively. This is due to the different sets of incompatible drivers.

LMFW.EXE was written to support the Continuum ND6000 laser system with the Picoscope 5203 digitizer.

LMFW64.EXE was written to support the GWU Scanmaster laser system with the Picoscope 5244B (or A) digitizer.

Most of the look and feel and operations are identical between the two versions, but some minor alterations were made.

  • New help information (Feb 2017) was added to: Digitizer Setup, Serial Port Setup, Serial Port Modes, Reports, Reducing Measurement Errors, EULA

This help file utilizes HTML help, the current Windows standard help format, and supports a Table of Contents, Index, and Search functions. This help file table of contents can be displayed from the Help | Contents selection from the main menu. Some dialogs have a help button, and some topics allow F1 context sensitive help. Although efforts have been made to achieve accuracy, please report any inadvertent errors in this help file.

Introduction:

Introduction & Table of Contents <-- You are here

Theory of Operation

Program Modes:

Program Modes Summary

Operating Modes

Data Source Modes

Serial Port Modes

Initial Setup:

Initial Setup Summary

User Information Setup

Digitizer Setup

Serial Port Setup

Operation (How to...):

Operation Summary

Page Control

Oscilloscope Mode

Measurement Mode

Scan Mode

Log

View Files (Overlays)

Reports

Reducing Measurement Errors

Reference:

Reference Contents

Main Screen

Main Menu

Page Control

Some History

Versions

Registering

EULA

For additional information or assistance, contact the author at:

lmacneil@comcast.net

Thanks,

Larry MacNeil

June 27, 2010

updated Feb 10, 2017


Theory of Operation

The cavity lossmeter typically consists of a pulsed pump laser, a pulsed tunable laser, cavity ringdown optics, a PMT to obtain the signal, a digitizer to read the signal, and a computer with software to control the tunable laser and digitizer. The Lossmeter for Windows (LMFW) program is the control software and also serves as the data display interface. The signal consists of a series of signals from the PMT as the pulse of light bounces between the cavity mirrors. This "ring-down" is an exponentially decaying curve that, together with the length of the cavity and index of refraction of the medium, allows us to derive the total optical loss of the cavity.

First, the cavity is configure for Reference Cavity operation, typically with the two reference mirrors facing each other with nothing else in the cavity. The oscilloscope mode is used to optimize the ringdown curve (signal obtained from the PMT) by adjusting the optics on the table and the digitizer settings in the software. Then, a reference measurement is made. A comparison of two curve-fits can be made to ensure that the ringdown is optimally coupled and provides a single loss curve (rather than multiple loss curves on top of each other, indicating multi-mode, or lossy, operation).

1) First, setup and optimize optics and digitizer using oscilloscope mode

2) Then, measure the reference loss at a single wavelength and

fine tune the coupling by monitoring the two fits.

Once the reference measurement is made, a sample measurement can be made. There are two types of sample measurements, reflector and transmitter. The same process is used for the sample measurements:

3) First, setup and optimize optics and digitizer using oscilloscope mode

4) Then, measure the reference loss at a single wavelength and

fine tune the coupling by monitoring the two fits.

To measure a reflector (another mirror) the reference mirrors are typically angled and the sample mirror is placed at an angle between the two reference mirrors. The angle is determined by the type of sample mirror being measured. This configuration allows the pulse of light to hit all three mirrors. The oscilloscope mode is again used to optimize the optical alignment, and the measurement mode (using two fits) is used to ensure optimal coupling. The sample mirror loss can then easily be determined by measuring the new 'reflector' total loss and subtracting the reference cavity loss.

To measure a 'transmitter', typically a transparent sample is placed in the straight reference cavity. The end windows of the sample holder should be very clear and angled (or the sample holder itself can be tilted) to prevent back reflections detracting from the quality of the ringdown. This configuration allows the pulse of light to travel through the transmitting sample each pass through the cavity. The oscilloscope mode is again used to optimize the optical alignment, and the measurement mode (using two fits) is used to ensure optimal coupling. The transmitting sample has a different index of refraction than air, so the length and transmitter index of refraction must be entered to enable the software to compute the change to the apparent (seen by the packet of light) cavity length caused by the sample. The sample transmitting loss can then easily be determined by measuring the new 'transmitter' total loss and subtracting the reference cavity loss.

Once a measurement is made at a single wavelength, then scanning can be performed. The scan mode allows the user to enter a start and end wavelength and a step size, and measurements will be made at each wavelength. The scan must be performed for both the reference mode and the sample mode at exactly the same wavelengths and step sizes so the data can be calculated as described above.

A) First a reference measurement is optimized (see steps 1-2 above)

- ensure the wavelength used for setup is where the lowest loss is expected.

B) Then a reference scan is performed over the wavelength range of interest.

C) Then the sample measurement is optimized (see steps 3-4 above)

- ensure the wavelength used for setup is where the lowest loss is expected.

D) and finally, the sample scan is performed over the same wavelength range.

The LMFW program also allows the data to be saved, viewed, printed and exported to excel.

This help file will discuss the details of the operation of the Lossmeter for Windows version 6 software.


Operating Modes

Modes of Operation

There are three principle modes of operation: Oscilloscope, Measurement, and Scan modes.

Oscilloscope Mode is used to optimize the ringdown curve (signal obtained from the PMT) by adjusting the optics on the table and the digitizer settings in the software.

Measurement Mode is used to measure the loss at a single wavelength and optimize the optical coupling of the system.

Scan Mode is used to measure the loss for many wavelengths, 'scanning' across a wavelength range.


Data Source Modes

There are two Data Source Modes: Real Data Mode and Simulated Data Mode.

In Real Data Mode, the real cavity ringdown data is collected from the digitizer. To use this mode, you must have a supported digitizer, properly configured and detected by the program through a USB port.

In Simulated Data Mode (or 'Simulation Mode'), the data is collected from internal simulation software calculations. This mode does not require any additional hardware, but the oscilloscope, measurement, and scan modes will all show only the simulated data, and does not reflect reality at all. This mode does support viewing and printing already stored data files, and is useful for stand-alone data reviewing on computers that do not have a connection to a digitizer. Similarly, this mode is useful for testing the operation of new features on a computer that does not have a connection to a digitizer.

The current Data Source Mode is always shown on the main screen status bar on the lower left of the screen as 'Real Data' or 'Simulated Data'. The Data Source Mode can be set from the Setup | Digitizer selection from the Main Menu, which will call up the Setup Digitizer dialog box.


Serial Port Modes

There are two Serial Port Modes: Normal Operation Mode and Test and Simulated Serial Port Mode.

In Normal Operation Mode, the configured serial port is used to communicate with the control computer for the ND6000 Continuum laser or the GWU Scanmaster, sending wavelength and operational requests, and receiving wavelength, status and error messages. These messages are logged. To use this mode, you must have a supported laser and control computer, properly configured and detected by the program through a serial port. Note that serial ports can easily be configured through the operating system to emulate standard serial ports, and will therefore work through pcmcia cards or even through USB emulation (USB to Serial port adapter). The directions for mapping a configurable port to a standard serial port that this program can see is included with each of the different types of serial port equipment.

In Test and Simulated Serial Port Mode, the serial data is determined by internal software routines and bear no relation to reality. This mode does not require any additional hardware, but the wavelengths represented on-screen during all operating modes will be simulated wavelengths only, and does not reflect reality at all. This mode is used for stand-alone operation of the program, allowing the program to be operated for viewing and printing already stored data files, and is useful for stand-alone data reviewing on computers that do not have a serial port connection to a control computer and laser. Similarly, this mode is useful for testing the operation of new features on a computer that does not have a serial port connection to a control computer or laser.

There are two subsets of operation in this test/simulate mode:

a) a two-computer mode used to test the actual serial port communications. This requires another copy of the LMFW program to run on another separate physical computer that has a serial port. That remote copy will need to be run and the Setup | Serial Port dialog box left open with the checkbox checked for 'Run this program as a Serial Laser Simulator Only'.

b) a single computer mode (the default serial simulation mode) which uses internal look-up tables to generate serial port responses so normal operation can occur for stand-alone operation or user interface testing.

The current Serial Port Mode is always shown on the main screen status bar on the lower right side of the screen as 'COM 1: Open' or 'SIM Wavelength'. The Serial Port Mode can be set from the Setup | Serial Port selection from the Main Menu, which will call up the Setup Serial Port dialog box.

Changes for LMFW64

Setup of the serial port is the same as previous versions.

Users will see slight differences in the dialog box for LMFW64, as shown below. This is primarily due to the added complexity of the GWU Scanmaster communications. In particular, the GWU Scanmaster serial port communications have more options. For required serial port setup, see: Setup Serial Port

TEST ONLY - Test and Simulated Serial Port Mode for LMFW64

The TEST ONLY mode is much more comprehensive in LMFW64 than in previous versions, allowing more thorough debugging of the serial communications. NOTE: This requires a second computer with null-modem serial link to use in place of GWU Scanmaster serial link.

The "Sent Commands and Received Feedback' memo field is always active and gives a raw view of the communications. The user can at any time send a manual command with the Test Msg and Manual Send button.

If troubleshooting of the serial port function is needed, these test functions make debugging much easier. This involves selecting options through checkboxes:

- The checkbox "simulate Laser Serial Response Internally (single program demo operation)" is for internal simulation that only works on the most basic functions.

- The checkbox "Run This Laser as Serial Laser Simulator Only (two computers required)" is for use when the program is installed on a second computer for purposes of allowing emulation of expected Scanmaster serial responses to LMFW64 commands. Checking this box will show the checkbox "Enable Automatic Response".

- If the "Enable Automatic Response" checkbox is checked, then manual send is not required as the program will automatically simulate expected normal operation.

To help understand the commands, a box on the right lists typical messages.

- During real mode, the 'Command | Meaning' box contains typical commands. It will load the Test Msg box if a command is double-clicked

- If the "Run This Laser as Serial Laser Simulator Only (two computers required)" checkbox is checked, then the box will change to a 'Response | Meaning' box and contains typical responses. It will load the Test Msg box if a response is double-clicked.

NOTE:

When using this TEST ONLY mode, the 'Setup Serial Port' dialog is not exited. Once the 'Setup Serial Port' dialog is exited, the "Run This Laser as Serial Laser Simulator Only (two computers required)" is turned off (unchecked) automatically. Re-verify the information in the 'Setup Serial Port' dialog or restart the program after using this mode.

*** Checking these boxes may cause unexpected behavior in real mode. Only real mode values are persistent. So, if the boxes are checked inadvertently, simply cancel and restart the program to restore all values for proper real-mode operation.

FOR DEBUG ONLY - ON SECOND TEST COMPUTER ONLY - NULL MODEM CABLE NEEDED


Initial Setup Summary

The first time Lossmeter for Windows (LMFW) is run, the user should ensure the software is setup for proper operation. To do that, there are a series of setup dialogs that offer several options. The things you need to know when first setting up the system is how you are going to use that system.

- What is your User and Contact Information

- Are you setting up this software to use the digitizer and collect Real Data, or are you setting up this software to either Simulate data for a demonstration, or just to view data files previously collected by another copy of LMFW? For further information, see Data Source Modes.

- Are you using this software to use the Serial port communication to the laser, or are you wishing to setup the software to act as a laser simulator (responds through serial port to requests from another LMFW program running on another computer), or are you setting up the software to simulate serial port replies in stand-alone mode (usually in concert with Simulated Data Source mode). For further information, see Serial Port Modes.

To setup the system, you first must install the programs and drivers. Upon running LMFW or LMFW64 the first time, the following Setup dialogs must be completed:

User Information Setup

Digitizer Setup

Serial Port Setup

Then, normal operations can be completed as described in Theory of Operation and Program Modes Summary and Operation Summary.


User Information Setup

User Information

To setup User Information from the main menu, select Setup | User Information.

Items such as User Name, Company, Address, Phone and email are for contact and ownership confirmation.

The Data Directory can also be setup. This is where the program will save and view files. Browse to the appropriate directory and click Ok. Verify the proper directory is shown in the box.

The Computer ID will be shown, and the Registration keys for up to three digitizers will also be displayed here.

The authorization box is for administrative purposes only.


Digitizer Setup

NOTE: The two versions of software support two different sets of hardware exclusively. This is due to the different sets of incompatible drivers.

LMFW.EXE was written to support the Continuum ND6000 laser system with the Picoscope 5203 digitizer.

LMFW64.EXE was written to support the GWU Scanmaster laser system with the Picoscope 5244B (or A) digitizer.

The USB digitizer setup is in two parts. The physical hook-up and the software setup. If the USB digitizer is already installed on your system and you simply wish to register it or configure its parameters, you can skip to step B2 below.

For specific changes for LMFW64, click here

For a fresh install, first ensure the LMFW program is NOT running.

A) Physical hook-up is described in much more detail in the manual for the digitizer. Basically, the hookup involves placing the digitizer between the PMT and the Lossmeter computer (the computer running this LMFW program). Plug in a BNC cable from Channel A or B and connect it to the output of the PMT or the PMT amplifier as appropriate. Plug in a USB cable between the digitizer and the Lossmeter computer. Do not turn it on yet.

NOTE: for the 5244 digitizer, please use a plug-in AC wall adapter to supply power rather than relying on the USB port as the quick start guide suggests. Using the wall adapter will increase reliability and is detected by the digitizer. Thus, it is preferred for proper operation with LMFW64.

B) Software setup on the Lossmeter computer has three parts.

1) The first step is to ensure the drivers for the digitizer are installed on the computer. This should be true if an installation program was used with either the LMFW or digitizer software package. Use the Picoscope driver installation disk supplied with the digitizer.

With the digitizer plugged into the USB port, turn on the digitizer. Ensure the computer detects the digitizer properly (e.g. drivers are loaded) and there are no error messages.

Now start up the LMFW or LMFW64 program.

2) The second step of the software setup is to ensure the software, computer and digitizer combination is registered. If step 1 completed successfully, and the program detects the digitizer, it will then check to see if the digitizer is registered. If not, then see Registering.

3) The third part of the software setup is to configure the digitizer parameters. Go to the Setup Digitizer dialog box via the Main Menu at Setup | Digitizer.

The variables that can be set from the screen are also saved in the registry, and are therefore 'persistent'. So, if you exit and re-enter the program, the values will persist from your last session. Different Windows logon users can set and keep different values, so be aware that other users may need to set the values again for their setup.

- normally PMT signal are negative-going pulses. To analyze and view on the screen, these signals are 'inverted'. This does not affect their informational content, but is important to produce a positive-looking pulse for the automated analysis that is performed.

- Click on the Real Data radio button to allow the program to connect to the digitizer. If you select Simulated Data, then the program uses simulated data as described in Data Source Modes, and subsequently the other settings make minimal difference to anything.

- Ensure the Cavity Physical length (of the reference cavity) is correct. This is very important to ensure the accurate measurement of loss.

- The data can be viewed as actual data points or as lines between the points.

- Adjust the Curvefit Start beyond 5% only if your pulse as seen in measurement mode has a very narrow peaking or erratic nature at the start of the pulse that causes the curve fitting to mismatch at the beginning. A small amount of this is normal and can be caused by many things. If the erratic pulse feature extends beyond this range, then you need to fix the optical coupling of the cavity - it is not a digitizer issue.

- Ensure all items in the Digitizer section are correct. The items with an asterisk next to the are the default values. The pretrigger is normally set to 1/8, and must allow a number of data points to be shown on the screen as a baseline before the pulse. Normally, the output of the PMT is a negative-going pulse, so we invert the signal to view it on the screen. Make sure the channel matches the connection you used for the PMT BNC cable. At this time, only certain features are allowed to change, so they are grayed out at their default selection. Ensure the Trigger timeout is set longer than the default repetition rate of your laser so it will see every pulse from the laser.

- Click OK to save and apply the settings. A small popup box will appear to indicate that the digitizer is being initialized. If there is an error, it will be reported. In the event of an error, double check all of the above steps.

Changes for LMFW64

Users will see slight differences in the dialog box for LMFW64, as shown below.

One notable difference is the ability to select the analog to digitital (A/D) resolution: either 8 bits (as in the older LMFW program) or 12 bits. A higher resolution is generally better and smoother, but may not be appropriate for all conditions. The fastest sample time is limited to 2ns (500MHz) between points for 12 bit resolution, where it is 1ns between points (1GHz) for the lower 8 bit resolution. Once changed, the PicoScope will need to reset.

The second difference is some AutoSet settings. The log can be set to record much more detail information about the autoSet function. This is normally unchecked and off except while examining the process. More useful is the ability to specify the 'AutoSet Tail' acceptance height, which is set to the MaxCount div the number specified (default 70). The larger the specified number, the smaller the acceptance height for the tail within the AutoSet function. An AutoSet Tail number that is too small will result an Autoset acceptance of the measurement Fit encroaching on the end of the data, which will increase measurement inaccuracies. An AutoSet Tail number that is too large will result in more Autoset fails since the setting (or system noise) may not pass the smaller acceptance criteria during the automated tests. This was put in to allow user control to compensate for system noise or ringing that is not present on the development system. However, please note that the goal of AutoSet is to get CLOSE to the final settings - it is up to the USER to verify setting before taking measurements. In particular, it is important that the pre-peak baseline be positive and stable, that the peak be positive on the screen (so negative data is inverted) and occur approximately 1/8 into the total record length, that the pulse width be as wide as possible while ensuring the tail goes fully to the baseline value (both beginning and end of data should be at same amplitude).


Serial Port Setup

The Serial Port can be setup in several ways, depending on the desired Serial Port Mode.

Physical hook-up is described in much more detail in the manual for the laser. A standard serial port will work great. So will serial port emulators, as the drivers for this program communicate through the Windows drivers, so anything Windows accepts as a Serial port is treated like one by the program. Further, nothing is really time critical. All communications use request / reply syntax, so handshaking is a software issue and as long as reasonable speeds are achieved, timely responses will occur. All data is buffered in hardware.

LMFW.EXE laser support is for the Continuum ND6000 laser, LMFW64.EXE laser support is for the GWU Scanmaster.

Note that if a USB to Serial adapter is being used, that software MUST be installed prior to setting up the serial port using this program. If that needs to be done, exit this program, setup the adapter, then restart the Lossmeter for Windows program.

Software setup for LMFW is straight-forward. First, open the 'Setup Serial Port' dialog from the main menu at Setup | Serial Port.

If the WSC driver has been loaded and the serial port has been setup, then click to check the 'Open Serial Port' checkbox at the top of the 'Setup Serial Port' dialog. If the port does not open, then the box will be unchecked and you will need to confirm the Port, Flow Control, Baud Rate, Parity, Data Bits, Stop Bits are correct. There should be no reason to change any variable other than the Port. The rest is defaulted to No Flow Control, 9600, None, 8, 1. Confirm with Windows Device Manager what the appropriate COM port to use and enter it here.

Usually, the LMFW program will want to poll the serial port to establish communications with the laser, and re-establish it if it is dropped by laser malfunction. If the test and simulation mode is used to run this program as a serial laser simulator only, then the polling should be turned off.

Select Test Mode setting as described in Serial Port Mode.

The variables that can be set from the screen are also saved in the registry, and are therefore 'persistent'. So, if you exit and re-enter the program, the values will persist from your last session. Different Windows logon users can set and keep different values, so be aware that other users may need to set the values again for their setup.

Click OK to save and apply the settings.

Changes for LMFW64

Most of the look and feel and operations are identical between the two versions, but some minor alterations were made.

Users will see slight differences in the dialog box for LMFW64, as shown below. This is primarily due to the added complexity of the GWU Scanmaster communications.

For normal operation, both checkboxes in the top left group box 'Normal Operation Setup' should be checked, and the work 'Open' should appear with the WSC64 driver information in the box. Ensure 'GWU Scanmaster' is selected in the Laser Controller drop-down box.

TIMERS

There are some operational timers that work slightly differently than with the LMFW program (ND6000).

Three polling methods and an immediate check method is used for the serial communications. The serial port buffer is monitored every 300ms indicated by the flashing 'Timer' light. If this light is not flashing, reset (uncheck then check) the Normal Operation checkbox, or reset (uncheck then check) the Open Serial Port checkbox. Most communication happens through this avenue. Some responses to the received values are immediate and sent out during the same time as an immediate check.

One notable difference to the dialog box is the ability to select the Debug Parameters for the Scanmaster remote control. These are important as they turn on the automated feedback response and control two polling methods and the indicator for Automatic Feedback status.

- Select Automatic='t' to turn on automatic feedback. This tells the GWU Scanmaster to provide responses to commands without a required polled request.

- Poll interval (ms) - the medium polling time for messages, which is used if the automatic feedback does not respond within this time interval or automatic feedback is turned off. Timer is reset if any message is received from the GWU Scanmaster.

- Max Silent Time (s) - which is the maximum time allowed between received messages from the GWU Scanmaster and acts as 'are you alive' checks by the LMFW64 program - it sends an 'x' and expects some kind of response from the GWU Scanmaster. This ensures communications links are working when the user is ready to operate the system. Timer is reset automatically if any message is received from the GWU Scanmaster.

TEST ONLY - Serial Port Test and Simulation Functions

During normal real operations, the checkboxes in this TEST ONLY group box must be UNCHECKED. This area is NOT generally used for normal operation. It does, however, provide some useful information of real-time communications. The "Sent Commands and Received Feedback' memo field is always active in read-only mode and gives a raw view of the communications. The user can at any time send a manual command with the Test Msg and Manual Send button if needed. The checkboxes are for use ONLY when the program is installed on a second computer for purposes of allowing emulation of expected Scanmaster serial responses to LMFW64 commands. Checking these boxes may cause unexpected behavior in real mode. Only real mode values are persistent. So, if the boxes are checked inadvertently, simply cancel and restart the program to restore all values for proper real-mode operation. For further information on the Test Only mode, see: Serial Port Mode.

NORMAL OPERATION


Operation Summary

Operating the software is intended to be a modular process to keep routine operations simple, however, the program is complex and has many configurable program modes. Once the Initial Setup is complete, the normal operations can be performed.

Normal operations include performing loss measurements, saving the data, or viewing previously saved data.

The sections below outline this process:

Page Control

Oscilloscope Mode

Measurement Mode

Scan Mode

Log

View Files (Overlays)

Reports

Reducing Measurement Errors


Page Control

Both Operating Mode pages or View pages can be selected by either the Main Menu or the Page Control.

The Page Control has five tabs along the top of the pages. Click on one of the tabs to select the page.

When the following three tabs are selected, the relevant Operating Mode is set just as if the mode was selected from the main menu:

Oscilloscope - setup, control and view real-time signals from the digitizer.

Measure - view the curve fit and display the loss measurement

Scan - make measurements over a range of wavelengths and plot the result.

In addition, there are two pages used to view information. These are:

Log - which can be used to view information about the operation of the program. This does not stop any operating mode.

View - used to view either Measurement or Scan Files. All operating modes are stopped.


Oscilloscope Mode

Oscilloscope Mode is used to optimize the ringdown curve (signal obtained from the PMT) by adjusting the optics on the table and the digitizer settings in the software.

To enter this mode, either select Mode | Oscilloscope from the main menu, or click on the 'Oscilloscope' tab on the page control on the right hand side of the main screen. The corresponding Oscilloscope Screen will appear on the left.

The variables that can be set from the screen are also saved in the registry, and are therefore 'persistent'. So, if you exit and re-enter the program, the values will persist from your last session.

The section titled 'Horizontal (TimeBase)' sets the Sampling Time / Pt (per point) and shows the corresponding acquisition sample frequency. A low number in Sampling Time / Pt corresponds to faster acquisitions (less time between points = higher frequency). The Number of Samples can be adjusted if you are setting up for a scan where you expect a large excursion (low loss to high loss) during the scan. Normally, the defaults (indicated by asterisks) are sufficient. A high Number of Samples will allow more data points for the curve-fitting. The Sampling Time/Pt and the Number of Samples together determine the horizontal scaling (uS/div). The Digital Low Pass Filter has a default of 100 MHz. This is a software-only filter that works only by windowing the data over that timeframe. Thus, the high frequency noise present in a high sample rate can be reduced. Use this feature with care, as data features can be lost when this filter is set too low. Increase it when the loss is high and additional data must be viewed.

The section titled 'Vertical' shows the setup values previously entered in the Digitizer Setup dialog as a reminder. The voltage range can be selected in real-time to make the pulse as large as possible on the screen without clipping (over-voltage). The trigger level can be set, and is indicated on-screen with a small sideways 'T' on the vertical axis and dot located at the exact pixel where triggering occurs. Adjust the trigger level to be slightly above the baseline on the left, well below the peak of the pulse. The Offset can also be adjusted. This will move the entire pulse on the screen to ensure the values of both the baseline and peak of the pulse are visible on-screen above the 0.0 vertical level (or always in the positive graph area).

There is no averaging in oscilloscope mode. Each data acquisition is plotted and viewed. This allows real-time adjustments to be made efficiently. Ensure the triggering is stable and every pulse is captured without artifacts or glitching. Ensure the pulse fills the screen as best as possible.

Optical alignment will change the shape of the pulse. Best optical alignment will tend to heighten the pulse while also moving the middle of the curve towards the upper right corner ('fattening' the pulse). The fatter the pulse, the lower the loss. Accurate optical alignment will result in the stablest pulses and the lowest loss measurements, so perform this alignment with care.

The section titled 'Wavelength' shows the current wavelength since this mode is performed at only one wavelength at a time. Note the lower right status line to determine if the reported wavelength is real or simulated. If setting up for a single wavelength measurement, ensure the wavelength is set properly. Use the Measurement Mode to do that. If setting up for a scan measurement, then ensure the wavelength used for pulse setup is where the lowest loss is expected. This will allow the pulse to always be fully captured on-screen (and inside digitizer limits) during a scan. If a really large excursion of losses is expected within a scan, then increase the Sampling Time/Pt and Number of Samples to allow good capture even if loss increases dramatically.

The 'Acqusition' section contains the main controls to Start and Stop the data acquisition. Click on the Start button when ready to acquire data. The listbox below these buttons contain information about the hardware is working properly. The 'Save TRef' button allows a 'Trace Reference' to be captured, and the 'Show TReference' checkbox allows the TRef trace to be persistently shown on-screen to enable the user to see if optical adjustments are relatively improving or hurting the quality of the ringdown. This is especially useful while improving the pulse center curve width to lower the loss measurement.

At the bottom of the page are some debug options - Note these values only when unexpected results or known errors occur. 'Debug List Vals' lists one acquisition of data to the log for saving or tracing problems.


Measurement Mode

Measurement Mode is used to measure the loss of the acquired data (the ringdown curve, or signal obtained from the PMT). This is done at a single wavelength. The loss measurement can also be used to verify proper optical coupling during alignment. The controls on this page also allow the user to change the wavelength on the laser.

To enter this mode, either select Mode | Measurement from the main menu, or click on the 'Measurement' tab on the page control on the right hand side of the main screen. The corresponding Measurement Screen will appear on the left.

For information on reducing measurement errors, please see: Reducing Measurement Errors

The variables that can be set from the screen are also saved in the registry, and are therefore 'persistent'. So, if you exit and re-enter the program, the values will persist from your last session.

The section titled 'Setup' sets the number of data acquisitions to average together (Number of Averages). This tends to 'smooth out' random noise, like that caused in high frequency electronics or amplitude jumps in laser light, and make the measurement more stable. The Measurement Type can also be selected:

- Reference Measurement Type is the measurement with just the reference mirror configuration.

- Reflector Measurement Type is the measurement with a mirror inserted in the cavity.

- Transmitter Measurement Type is the measurement with a transmitting sample in the cavity.

~Enter the length and index of refraction of the sample.

See Theory of Operation for a detailed description of how to use these measurement types. Note that a valid Reference measurement at the current wavelength must have been performed before a Sample Measurement (Reflector or Transmitter) can be performed. This is because the Reference measurement is subtracted from the sample total current loss to obtain the sample loss.

The section titled 'Diagnostics' allows the user some tools to use to ensure proper operation. When in Real Data Operation Mode, two checkboxes and a comment field are visible. Check the box to view the mathematical curve fit computed by the program overlaid on the data curve. A poor fit becomes obvious as the plotted curve fit will not track the data. Check the box 'Perform Two Fits' to compare the upper and lower sections of the curve to ensure the optical alignment is optimal. When both of the two fits read approximately the same loss (within stated error), then the cavity is well coupled. When the two fits do not agree, then the optical coupling needs to be adjusted and optimized. This is discussed in Oscilloscope Mode as 'fattening' the pulse by raising the center of the curve towards the upper right. If the errors are above a few percent, then re-check your alignment and optimize - it is likely you have multi-modes. You may need to change the starting place for the curve fit in the Digitizer Setup dialog if the start of the curve fit does not track the data.

The section titled 'Wavelength' shows the current wavelength since this mode is performed at only one wavelength at a time. Note the lower right status line to determine if the serial port reported wavelength is real or simulated. If setting up for a single wavelength measurement, ensure the wavelength is set properly. Use the 'New Wavelength' edit box to do that. Enter the desired wavelength and click on 'Go'. Wait for the laser to stop at the correct laser wavelength. The current wavelength will update periodically to reflect the changes. If setting up for a scan measurement, then ensure the wavelength used for pulse setup is where the lowest loss is expected. This will allow the pulse to always be fully captured on-screen (and inside digitizer limits) during a scan. The Status should read 'Stopped' whenever acquiring data.

Note: If a really large excursion of losses is expected within a scan, then use the Oscilloscope Mode to increase the Sampling Time/Pt and Number of Samples to allow good capture even if loss increases dramatically.

The 'Current Measurement' section contains the main controls to Start and Stop the data acquisition. Click on the Start button when ready to acquire data. The fields below these buttons contain information about the various measurements and the related error (the chi square error between the data and the curve fit).

The data from this measurement can be saved from the main menu at File | Save | Measurement Data or with the Save button.


Scan Mode

Scan Mode is used to measure the loss of the acquired data across a range of wavelengths. This mode presumes the Oscilloscope Mode and Measurement Mode were used to prepare the system for the scan measurement.

To enter this mode, either select Mode | Scan from the main menu, or click on the 'Scan' tab on the page control on the right hand side of the main screen. The corresponding Scan Screen will appear on the left.

The variables that can be set from the screen are also saved in the registry, and are therefore 'persistent'. So, if you exit and re-enter the program, the values will persist from your last session.

The section titled 'Setup' sets the start and end wavelength, and the wavelength step (increment) between each measurement. A measurement will be performed at each wavelength as setup in the Measurement Mode. You can also specify the Number of Scans so the data will get averaged to reduce scan-to-scan variations.

Note: you MUST perform the steps in order as indicated in the Theory of Operation.

To summarize again here:

The scan must be performed for both the reference mode and the sample mode at exactly the same wavelengths and step sizes so the data can be calculated properly.

A) First a reference measurement is optimized

- this is done in both oscilloscope mode and then measurement mode

- ensure the wavelength used for setup is where the lowest loss is expected.

B) Then a reference scan is performed over the wavelength range of interest.

C) Then the sample measurement is optimized

- this is done in both oscilloscope mode and then measurement mode

- ensure the wavelength used for setup is where the lowest loss is expected.

D) and finally, the sample scan is performed over the same wavelength range.

Thus, the measurement type is set in the Measurement mode only. The section titled 'Measurement Type' on the Scan Page will merely report information about the measurement type as defined in the measurement mode.

The 'Current Measurements' section contains the main controls to Start and Stop the data acquisition. An Emergency Stop (E-Stop) is also provided that will stop the system faster than the normal stop just in case something is wrong and this is needed. Click on the Start button when ready to acquire data. The fields below these buttons contain information about the loss measurement for each wavelength step ans where you are in the scan process. Note that as the data is acquired, it will be plotted in the graphics area on the left side of the screen. The vertical axis will automatically adjust the scale during the scan to keep the data in-bounds.

A descriptive comment may be saved with each Scan file by clicking on the Comment button. A scan file can be saved by clicking on the Save button. As when saving from the main menu, when typing the name for the scan file, you can use the drop down list to select scan file or both scan file and CSV file, as a convenience to exporting to excel. Only the special scan files from the program contain all data, so only those files can be viewed in the View Files page.


Log

The Log is a running narrative of the operation of the program. It is used to verify proper operation or temporarily record debugging information. Examination of the log can often solve issues by making the problem clear. Results and error messages from digitizers, all serial port communications both to and from the laser, and measurement and scan status is all logged. Save the Log as a file if persistent problem occurs, so it can be emailed to the author and a solution can be found. A sample Log is shown below.

Note that the log is automatic. However, it can be cleared, printed, copied to a clipboard for pasting into a different text editor, or saved as a text file. When no measurements are being taken and the system is stopped, then a Log File can be viewed - see the main menu, File | View | Log File. The text from the file will be shown in this page and the top label will be the filename (rather than say 'Current Log').


View Files (Overlays)

Previously saved data files (*.MES or *.SCN) can be viewed for review, comparison, or printing. This can be selected via the Main Menu or by clicking on the View tab on the Page Control.

Two types of data files can be viewed, the measurement data files, and the scan data files. The data file type chosen will change the View File look and feel as appropriate. The file type is chosen either by selecting the appropriate file type from the main menu when selecting File | View | Measurement File or File | View | Scan File, or by clicking on the appropriate radio button at the top of the View page control.

Both data types allow selection of each of four data files of the same type. The axes for multiple files will be calculated to accommodate the file data and the files will be shown overlaid. Important file information will be shown in each listbox. The screenshot and listboxes can be printed with the Print button at the bottom of the page. All files can be cleared with the Clear All button.

The line type (dashed or solid) can be selected to enable better viewing or printing. Each file can be viewed or not individually by checking the View checkbox - this will enable easier identification. Each file can also be cleared out of memory individually by clicking on the Clear button for that file number.

Also, for the measurement data type, the fit data can be viewed (for all files or no files) by checking the Fit checkbox next to the Measurement data type radio button. Some sample screenshots are shown below.


Reports

Basic reports are generated using RAVE Reports

These include lots of key information that may not be apparent on the display.

Use these to record your information. Reports can be generated for the following:

Setup : Creates a report of the Setup information, in preview, pdf file or printout.

Measurement : Creates a report of the Measurement in

preview, pdf file or printout. Includes graph and parameters.

Scan : Creates a report of the Scan in preview, pdf file or printout.

Includes graph and parameters.

View : Creates a report of the View Files screen in preview, pdf file or printout.

Includes graphs and parameters.

Sample report:


Reducing Measurement Errors

NOTE: The measurement error displayed is the RMS error of the fit to the data - NOT the error of the actual measurement to reality. The lossmeter ringdown technique uses the physics model of exponential decay of the intensity of light to directly calculate the loss of the measurement system, including all components. There is no absolute referrence standard, but there are ways to both minimize errors and characterize the system to ensure the measurements and the errors are understood. A brief summary of three methods is shown here: Minimizing Fit Errors, Minimizing Wavelength Errors, Understanding Loss Measurement Errors.

1) Minimizing Fit Errors

In general, the measurement errors can be minimized by ensuring several things:

1) The start of the fit is near the top but well past the spiky noise that may be at the peak.

2) The system is optically coupled correctly such that both of the fits yield the same number.

3) The right side 'tail' of the fit should NEVER go all the way to the end of the data. If needed, then either increase the number of samples or decrease sampling time to ensure a good fit.

4) Amplitude must be well above noise. Signal-to-noise ratio should be greater than 80 for best measurements.

-- Possible solutions:

Better amplifier

Low Bandpass Analog filters will block high frequency noise

Digital low pass filtering will smooth aliasing (control on Oscilloscope mode)

Averaging data will smooth random or 'walking' noise.

5) Noise should be random. 'Ripple' or other structure indicates a fundamental coupling problem.

-- Possible solutions:

Realign optics, center beam pulse

Clean optics (pulses not directly centered will walk and hit different parts of mirrors)

Filter the light for extraneous wavelengths

Spatial filter the light to rid alternate modes

Use waveplates to affect polarization for better coupling

Change cavity length slightly (be sure to note in setup) (cavity transit time <> multiple of sampling time)

Average the data to smooth random or 'walking' noise.

Change data acquisition rate (sampling time / pt) so cavity transit time <> multiple of sampling time.

The measured loss can differ from the expected loss if the wavelength is incorrect or the cavity optics are misaligned or the fit ends are improperly placed.

2) Minimizing Wavelength Errors

To check laser wavelength accuracy, you'll need to:

1) Calibrate the wavelength of the laser output. To do this you can examine the laser output using:

a) A calibrated Spectrometer (best way - usually done by vendor)

b) A coarse spectrometer or grating used with a line-radiation source such as a Hg or Na lamp to calibrate it.

c) A coarse spectrometer or grating used with laser pointers calibrated at temperature with a spectrometer.

2) Adjust laser or readout (if needed) so it matches the spectrometer measurement.

3) Repeat for several discrete wavelengths over the range of interest.

Only method 1a above can calibrate to high accuracy (<1nm) with any ease, but that requires special equipment and is usually done by the vendor upon request. However, the coarse methods will tell you if your motor lost home position or is otherwise in need of factory calibration. A coarse spectrometer can be made of an inexpensive high resolution grating and mounted in simple holders to a plate on an optical bench. The idea is that an optical line radiation source such as a spectral line lamp or laser pointer can be used to verify the wavelength of the laser output.

1) First, place two irises or other collimator at a distance in front of the grating

2) Place a sensor or ruled paper at an angle to see the reflection of the different wavelengths off the grating.

3) Shield this assembly from extraneous light.

4) Shine a line radiation source as described in 1b or 1c above

5) Mark or note the location of the spectral lines of interest.

5) Move the assembly in front of the laser and align so the laser goes through the irises or collimator.

a) ND filters may be needed to avoid damage to the grating.

6) Using the control software, change the wavelength of the laser to the desired wavelengths noted in step 2.

7) Verify spectral lines overlap.

Best measurements are with good collimation, and better gratings or dual gratings.

NOTE: If the laser has been VERY recently calibrated, and your coarse spectrometer is assembled securely, then the laser lines can simply be marked or noted so you can simply repeat measurement in the future to look for any change which would indicate a need for recalibration of the laser. This relative measurement does not need a spectral source, but is not absolute.

3) Understanding Loss Measurement Errors

Characterize the system measurement errors and a create a reference standard to create consistency.

Please see ANSI standards for formal methods. This is a quick summary only.

1) Measure a reference cavity with a set of mirrors used only for calibration. Store in dry inert gas when not used for calibration.

2) Obtain a mirror to use as a reference standard.

a) Use a NIST-traceable calibrated mirror if it exists for your wavelength of interest.

i) this yields validation of absolute measurements and error measurement

b) if the above mirror does not exist, then you can still characterize a mirror and use it as a standard.

i) this yields verification and consistency between measurements.

3) Measure the reference standard mirror with the system - this should be done at discrete wavelengths:

a) Measure a single mirror in reflector mode using the reference cavity in step 1 above.

b) Carefully align and measure. Make sure the difference between the two fits is minimized.

c) Measure many times without changing setup. The variation in measurements is the random error.

c) Misalign optics.

d) Repeat alignment and measurement many times. The variation in measurements is the systematic error.

e) Purposely slightly misalign and remeasure many times, noting the differences between the two fits.

-- This is your alignment error range, a systematic error.

f) Determine fit error % (or difference between two fits error %)

-- This will be the acceptable range for your measurements.

g) Store the reference standard mirror in dry inert gas when not using.

h) Periodically remeasure step 1 and this step 2 completely to ensure mirror is stable.

4) Occasionally, use the reference standard mirror with current setup

a) At the beginning of doing real data measurements, insert the mirror standard mirror, align and measure it.

b) May see consistent offset caused by your setup.

c) May see varying error range, use larger of the two error range measurements (now or reference).

d) Measure periodically to ensure system stays stable.

e) This is a good indicator of system health.


Reference Contents

Main Screen

Main Menu

Page Control

Some History

Versions

Registering

EULA


Main Screen

Please see Theory of Operations for information on how to run this program.

The Main Screen contains several elements:

- The title bar at the top contains the program name, version number and data source mode

- The Main Menu just beneath the title bar contains the generic methods to call up most of the main features of the program.

- The graphic window on the left side is for the graphic representations of the data.

- The Page Control on the right side is the detail controls for each of the operating modes.

- The Status bar on the bottom contains several important mode and status messages.


Main Menu

The main menu is located at the top of the program screen, just under the title caption bar. Some letters are underlined, allowing Alt-key selection.

The following is a summary of the Menu choices:

File

New : Clears the screen and data to start fresh

View

Measurement File : View up to 4 Measurement Files

Scan Data File : View up to 4 Scan Files

Log File : View a saved Log File

Save

Measurement File : Save a Measurement File

Scan Data File : Save a Scan File

Log File : Save a Log File

Export

Measurement .CSV File : Save a Measurement File for export to Excel

Scan .CSV File : Save a Scan File for export to Excel

Printer Setup : Select and setup the printer to use for printing

Print

Current View : Print the current graphic view - for quick, low res snapshots

Log : Print the Log to the printer a simple text - for quick printouts

Exit : Exit the program - You must stop the measurement or scan first.

Setup

User Info : Opens the User Information dialog box.

Serial Port : Opens the Setup Serial Port dialog box.

Digitizer : Opens the Setup Digitizer dialog box.

Mode

Oscilloscope : Selects the Oscilloscope Operating Mode

and Oscilloscope Page Control.

Single Measurement : Selects the Measurement Operating Mode

and Measure Page Control.

Scan Measurement : Selects the Scan Operating Mode

and Scan Page Control.

View Log : Another way to view a saved Log file in the Log Page Control.

View Files : Another way to view Data files. Selects View Page Control.

Reports

Setup : Creates a report of the Setup information, in preview, pdf file or printout.

Measurement : Creates a report of the Measurement in

preview, pdf file or printout. Includes graph and parameters.

Scan : Creates a report of the Scan in preview, pdf file or printout.

Includes graph and parameters.

View : Creates a report of the View Files screen in preview, pdf file or printout.

Includes graphs and parameters.

Help

Contents : Shows the Introduction and Contents of this help file.

About : Shows a dialog box that displays more information on the LMFW

program, author, versions, and contact information.


Some History

The Cavity Lossmeter was invented, developed and promoted as a product by the patent holder Dr. David Deacon, the founder of Deacon Research, along with Dr. Olive Lee and Clarence Barnes in the late 1980's. The system was later enhanced by Dr. Tony O'Keefe, who worked with Dave for several years and then moved on to found Los Gatos Research, which supported the lossmeter systems for several years. Some of the typical uses (there are others) for these systems are to measure optical component quality, transmission losses through various materials, and obtain spectroscopic data. Previous software versions were written in Borland Pascal for DOS, and scripts for various oscilloscopes, and grew over the years to support a variety of hardware used to control and present the data from a Cavity Lossmeter. The original core software was written by David Deacon. Tony O'Keefe added several enhancements with his team and supported other platforms for custom configurations. Larry MacNeil worked for Deacon Research for 3 years in the late 1980's, and worked with both Dave and Tony helping with experiments, building hardware, and writing several versions of the Lossmeter program. Larry continues to support systems upon request, and subsequently wrote the current version 6 in 2010 and updated it to 6.6 in 2017 specifically to take advantage of newer operating systems and hardware.

The Lossmeter for Windows (LMFW) program is written for Windows XP, but can also work with newer operating systems as a 32 bit application. The hardware drivers are primarily USB and Serial Port drivers, which are available for several platforms. In the past, Lossmeter systems supported only CAMAC crate digitizers or expensive oscilloscopes for data collection. The new version 6 Lossmeter for Windows program supports inexpensive 1GSPS digitizers that utilize a USB port. Older systems had custom modules to control the laser wavelength or PMT voltage as required by the customer. The current system continues that method with a customized serial port communications module to control the laser, but this version was not required to have automated PMT voltage control at this time. The digitizer supported is the Picoscope 5203 and the laser system is the ND6000. This work was completed in 2010.

The Lossmeter for Windows (64 Bit) program is written for Windows 7, 64 bit version, but can also work with newer operating systems such as Windows 8 and 10, as long as they are the 64 bit versions. This program and drivers have been tested extensively on 64 bit Windows 7 and Windows 10 and will not work on 32 bit operating systems. The hardware drivers are primarily USB and Serial Port drivers, which are native 64 bit drivers. The digitizer supported is the Picoscope 5244 (A or B) and the laser system is the GWU Scanmaster. The new version 6.6x Lossmeter for Windows 64 (LMFW64) program supports 1GSPS digitizers at 8 or 12 bits that utilize a USB port.


Versions

The program version number is shown in the title bar and About Box. The version is indicated by: x.yyd, or major.minor version with a debug letter appended. Thus, version 6.45e has a major version number of 6, a minor version of 45, and a debug letter of 'e'. All versions are archived for configuration control. When reporting an error or requesting a new feature, please indicate the version number of the program you are currently running.

This help file was originally created on July 11, 2010 for LMFW v 6.48c

and was last updated on Feb 12, 2017 for LMFW64 v 7.61a


Registering

The software, computer and digitizer combination must be registered to validate the install and enable hardware operation. If your software and digitizer is not registered with that specific computer a 'Register' dialog box will appear. This will happen under several instances:

- a new purchase

- a change in hardware (either computer or digitizer)

- a reinstall of your operating system

- unauthorized operation of the software

If you know your registration number, then type it into the 'Registration Key' entry field and click on OK.

If you are a registered user, and are upgrading your system, then the new Registration Key is included in your original system purchase. To obtain your new registration number then click on the button 'Copy to Clipboard'. This will copy the text in the left side box into the clipboard. You can then paste the text into a text editor like notepad or directly into an email. Then, send the text to the author via email along with your user information and you will get a reply email asap with your Registration Key, which is good for the life of either the computer or digitizer. The program allows up to three digitizers to be registered on one computer. Each Computer & Digitizer combination with the LMFW program will require a unique Registration Key.

Since the hardware is easily commercially available, the software is protected from copying in this way to protect the investments of the people who paid for the use of it.

It is allowed for the software to be copied onto a computer for purposes of viewing data or simulating operation. Registration is only required when used with a digitizer.

Please see the EULA for additional licensing information.

For additional information or assistance with registering, contact the author at:

lmacneil@comcast.net


End User License Agreement

End User License Agreement (EULA)

This license agreement (LICENSE) is a legal agreement between you (the USER, either an individual or a single entity or designated entity) and the software author Lawrence Paul MacNeil (LARRY) for the software product (SOFTWARE) "Lossmeter for Windows" (LMFW.EXE, for 32 bit Windows) and/or "Lossmeter for Windows (64 Bit)" (LMFW64.EXE, for 64 bit Windows). This agreement also governs any later releases or updates of the SOFTWARE. By installing and/or using the SOFTWARE, you agree to be bound by the terms of this LICENSE. If you do not agree to the terms of this LICENSE, do not install or use the SOFTWARE.

LARRY grants a nonexclusive license to use the SOFTWARE to the original purchaser (USER) and their designated operators for the purposes of testing, viewing data, measuring cavity ringdown losses, and laser control. Copies may be made for viewing data, back-up or archival purposes only. This product is licensed for full hardware use on only one computer / digitizer combination at a time. The SOFTWARE may not be distributed or sold outside of USER control without LARRY's written permission.

The performance of the SOFTWARE must be verified and validated by the USER for appropriateness of use. In particular, accuracy of the measurements depend on proper USER alignment and maintenance of their system, so LARRY cannot be held liable for any inaccuracies or variations in measurement. The USER is responsible for verifying proper operation and alignment of all components and validating the measurement against a reference standard of the USER'S choice.

The registered SOFTWARE may be redistributed as necessary as part of the USER's experimental requirements, under the USER's control. The Registration Key allowing full hardware use (computer/digitizer operation) may NOT be distributed outside of the USER's control without LARRY's express written permission. When the software is registered, a Registration Key will be provided when LARRY receives the required registration information supplied by the SOFTWARE or installed by LARRY directly on the computer or laptop if supplied to LARRY. The Registration Key enables access to the full hardware functionality of the software on one computer with one digitizer. The USER may request and obtain up to 3 Registration Keys per computer per license. The value of the Registration Keys may NOT be distributed or made known to those who are not USERS.

The SOFTWARE is owned by LARRY and is protected by United States copyright and other intellectual property laws and international treaty provisions. This SOFTWARE is being licensed and not sold.

This SOFTWARE is provided 'as-is'. LARRY makes no warranty, expressed or implied, with regard to the SOFTWARE or the performance of the SOFTWARE. All implied warranties, including the warranties of the merchantability and fitness for a particular use are hereby excluded. LARRY IS EXEMPT FROM ANY LIABILITY REGARDING THIS SOFTWARE. Under no circumstances shall LARRY be liable for any incidental or consequential damages. Registered software cannot be returned or refunded.

This SOFTWARE is intended for use with accompanying hardware as a system, though it can be used in stand-alone mode for viewing data files. There are additional safety concerns present because this software operates hardware (laser and digitizer) through a serial port and/or USB port. It is up to the USER to ensure all operations are conducted in a safe and proper manner and do not exceed operational limits of the hardware or introduce a hazard to personnel.

The USER assumes all liability for use of the software and any harm or damage whatsoever caused by proper or improper operation of the software program or hardware system or any malfunction thereof. The USER agrees that LARRY is exempt from any liability whatsoever. It is the responsibility of the USER to ensure safe and proper operation through testing and evaluation before formal use. This software is not intended for life support or life-critical applications.

If any portion or sentence of this license agreement is found to be invalid by a court of law, the remaining portions are still binding.

This license is valid for the USER and designated operators (through their employer) throughout the life of the hardware.

Lawrence Paul MacNeil

June, 2010, updated February 2017

Lossmeter for Windows (LMFW) is Copyrighted (c) 2010 by Lawrence Paul MacNeil

Lossmeter for Windows 64 Bit (LMFW64) is Copyrighted (c) 2016-2017 by Lawrence Paul MacNeil


Program Modes Summary

Modal operation is defined as user configurable options that force the program to operate in a given behavior until the modal selections are changed. Thus, when the program is in a given mode, the portions affected will always behave in a defined manner, which is different for each mode.

There are three types of modal operations in the Lossmeter for Windows (LMFW) program that work together, thus allowing many possible ways the program can work as a system.

There are the Operating Modes which define how the program operates, looks and displays information. This is related to where you are in the process of measuring loss as described in the Theory of Operation.

There are the Data Source Modes which define the data source for the information shown in the program, be it the digitizer or internal simulation.

And, there are the Serial Port Modes which define the manner the program handles the serial port communications, be it actual laser communications or one of the test or simulation modes.